Summary:  MacGate AppleTalk-IP routing daemon
Name: MacGate
Version: 1.13
Release: 1
Source: ftp://ftp.uk.linux.org/people/jschlst/MacGate/MacGate-1.13.tar.gz
URL: http://spacs1.spacs.k12.wi.us/~jschlst/MacGate.html
Copyright: distributable
Group: Networking/Daemons
BuildRoot: /tmp/MacGate
Requires: chkconfig >= 0.9
Packager: Jay Schulist <Jay.Schulist@spacs.k12.wi.us>

%changelog
* Sat Jan 24 1998 Jay Schulist <Jay.Schulist@spacs.k12.wi.us>
	Created MacGate-1.6 as an RPM.

%description
MacGate provides the user interface tools for the Linux Appletalk-IP
Decapsulation driver.

%prep
%setup
%build
make MacGated
make MacPinger
make MacRoute
make MacRegister

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/{rc{0,1,2,3,5,6},init}.d}
install -m 755 -o root -g root MacGate.init $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 -s MacGated $RPM_BUILD_ROOT/usr/sbin
install -m755 -s MacPinger $RPM_BUILD_ROOT/usr/sbin
install -m755 -s MacRoute $RPM_BUILD_ROOT/usr/sbin
install -m755 -s MacRegister $RPM_BUILD_ROOT/usr/sbin

%pre
if [ -f /etc/rc.d/init.d/MacGate.init ]; then
	/etc/rc.d/init.d/MacGate.init stop
fi

%post
/sbin/chkconfig --add MacGate.init

%preun
[ "$1" -ne 0 ] && exit 0
if [ -f /etc/rc.d/init.d/MacGate.init ]; then
	/etc/rc.d/init.d/MacGate.init stop
fi
/sbin/chkconfig --del MacGate.init

%postun

%files
/etc/rc.d/init.d/MacGate.init
/usr/sbin/MacGated
/usr/sbin/MacPinger
/usr/sbin/MacRoute
/usr/sbin/MacRegister
%doc INSTALL.txt
